org.apache.cxf.bus.spring

## Class BusDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser
      - - org.apache.cxf.bus.spring.BusDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class BusDefinitionParser
      extends AbstractBeanDefinitionParser

- - ### Property Summary

    - ### Properties inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `hasBusProperty`

  - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BusDefinitionParser.BusConfig`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `WIRE_BUS_ATTRIBUTE, WIRE_BUS_CREATE, WIRE_BUS_HANDLER, WIRE_BUS_NAME`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `protected void` | `mapElement(org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, Element e, String name)`
    `protected boolean` | `processBusAttribute(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String val)`
    `protected String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext ctx)`

    - ### Methods inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `addBusWiringAttribute, addBusWiringAttribute, getBeanClass, getBeanClass, getFirstChild, getIdOrName, getJaxbPackage, getSuffix, hasBusProperty, isAttribute, mapAttribute, mapAttribute, mapElementToJaxbBean, mapElementToJaxbBean, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbPropertyFactory, mapToProperty, parseAttribute, parseAttributes, parseChildElements, parseQName, processNameAttribute, setBeanClass, setFirstChildAsProperty, unmarshalFactoryString`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BusDefinitionParser

          public BusDefinitionParser()

  - ### Method Detail

    - #### doParse

          protected void doParse(Element element,
                                 org.springframework.beans.factory.xml.ParserContext ctx,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

      Overrides:
        `doParse` in class `AbstractBeanDefinitionParser`

    - #### processBusAttribute

          protected boolean processBusAttribute(Element element,
                                                org.springframework.beans.factory.xml.ParserContext ctx,
                                                org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                String val)

      Overrides:
        `processBusAttribute` in class `AbstractBeanDefinitionParser`

    - #### mapElement

          protected void mapElement(org.springframework.beans.factory.xml.ParserContext ctx,
                                    org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                    Element e,
                                    String name)

      Overrides:
        `mapElement` in class `AbstractBeanDefinitionParser`

    - #### resolveId

          protected String resolveId(Element element,
                                     org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                                     org.springframework.beans.factory.xml.ParserContext ctx)

      Overrides:
        `resolveId` in class `AbstractBeanDefinitionParser`

Apache CXF